/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.project.entity;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;

import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 招标代理评价记录表Entity
 * @author liuw
 * @version 2017-10-12
 */
public class ProjectEvaluationRecord extends DataEntity<ProjectEvaluationRecord> {
	
	private static final long serialVersionUID = 1L;
	private String clientId;		// 中标单位
	private String bidsuccessMoney;		// 中标金额
	private String duration;		// 工期
	private String projectManager;		// 中标项目经理
	private Date openbidMime;		// 开标时间
	private String openbidPlace;		// 开标地点
	private Date assessbidTime;		// 评标时间
	private String assessbidPlace;		// 评标地点
	private String projectId;		// 项目主键
	
	public ProjectEvaluationRecord() {
		super();
	}

	public ProjectEvaluationRecord(String id){
		super(id);
	}

	@ExcelField(title="中标单位", align=2, sort=7)
	public String getClientId() {
		return clientId;
	}

	public void setClientId(String clientId) {
		this.clientId = clientId;
	}
	
	@ExcelField(title="中标金额", align=2, sort=8)
	public String getBidsuccessMoney() {
		return bidsuccessMoney;
	}

	public void setBidsuccessMoney(String bidsuccessMoney) {
		this.bidsuccessMoney = bidsuccessMoney;
	}
	
	@ExcelField(title="工期", align=2, sort=9)
	public String getDuration() {
		return duration;
	}

	public void setDuration(String duration) {
		this.duration = duration;
	}
	
	@ExcelField(title="中标项目经理", align=2, sort=10)
	public String getProjectManager() {
		return projectManager;
	}

	public void setProjectManager(String projectManager) {
		this.projectManager = projectManager;
	}
	
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@ExcelField(title="开标时间", align=2, sort=11)
	public Date getOpenbidMime() {
		return openbidMime;
	}

	public void setOpenbidMime(Date openbidMime) {
		this.openbidMime = openbidMime;
	}
	
	@ExcelField(title="开标地点", align=2, sort=12)
	public String getOpenbidPlace() {
		return openbidPlace;
	}

	public void setOpenbidPlace(String openbidPlace) {
		this.openbidPlace = openbidPlace;
	}
	
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@ExcelField(title="评标时间", align=2, sort=13)
	public Date getAssessbidTime() {
		return assessbidTime;
	}

	public void setAssessbidTime(Date assessbidTime) {
		this.assessbidTime = assessbidTime;
	}
	
	@ExcelField(title="评标地点", align=2, sort=14)
	public String getAssessbidPlace() {
		return assessbidPlace;
	}

	public void setAssessbidPlace(String assessbidPlace) {
		this.assessbidPlace = assessbidPlace;
	}
	
	@ExcelField(title="项目主键", align=2, sort=15)
	public String getProjectId() {
		return projectId;
	}

	public void setProjectId(String projectId) {
		this.projectId = projectId;
	}
	
}